Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.shared
Class ReificationStyle

    java.lang.Object
      com.hp.hpl.jena.shared.ReificationStyle

    public class ReificationStyle

extends java.lang.Object

Reification styles have two boolean components: whether the graph+reifier will intercept reification triples or not [if not, the only in-Jena reification is through the reifyAs operation], and whether or not reification triples will be visible in the graph.

Field Summary
`static ReificationStyle` | `Convenient`
`static ReificationStyle` | `Minimal`
`static ReificationStyle` | `Standard`

Constructor Summary
`ReificationStyle(boolean intercept, boolean conceal)`

Method Summary
`boolean` | `conceals()`
`boolean` | `intercepts()`
`java.lang.String` | `toString()` Answer a human-readable representation of this reification style.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### Standard

    public static final ReificationStyle Standard

### Convenient

    public static final ReificationStyle Convenient

### Minimal

    public static final ReificationStyle Minimal

Constructor Detail

### ReificationStyle

    public ReificationStyle(boolean intercept,
                            boolean conceal)

Method Detail

### intercepts

    public boolean intercepts()

### conceals

    public boolean conceals()

### toString

    public java.lang.String toString()

  Answer a human-readable representation of this reification style. If it's one of the three standard constants, return their names; otherwise return a description of the fields. code should not rely on these values; they may be changed for debugging or convenience.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP